#include "sht71.c"
#include "lcd.c"
#include <stdlib.h>
#include <avr/interrupt.h>
#include <avr/signal.h>
#include <math.h>

SIGNAL (SIG_OVERFLOW1) {

	unsigned char buffer [5] = {0,0,0,0,0};
	
	lcd_gotoxy (0,0);
	lcd_puts ("T: ");
	double t = measure_temperature_sht ();
	dtostrf(t, 5, 1, buffer);
	lcd_puts (buffer);
	lcd_puts ("C");

/*--------------------------------------------------------------------------*/

	lcd_gotoxy (0,1);
	lcd_puts ("RH:");
	double h = measure_humidity_sht ();
	dtostrf(h, 5, 1, buffer);
	lcd_puts (buffer);
	lcd_puts ("%");

/*--------------------------------------------------------------------------*/

	lcd_gotoxy (13,0);
	lcd_puts ("DP:");
	lcd_gotoxy (10,1);
	dtostrf (calc_dewpoint_sht (t,h), 5, 1, buffer);
	lcd_puts (buffer);
	lcd_puts ("C");
}


int main (void) {
	
	lcd_init (LCD_DISP_ON);
	lcd_clrscr ();

	TCCR1B |= (1<<CS12);
	TIMSK |= (1<<TOIE1);

	sei ();
	
	for (;;);
	return 0;
}

