#ifndef SHT71_H
#define SHT71_H

#include <avr/io.h>
#include <math.h>

#define DDR_SHT		DDRB
#define PORT_SHT	PORTB
#define PIN_SHT		PINB
#define P_SCK		1
#define P_DATA		2

#define set_DATA	DDR_SHT &= ~(1<<P_DATA) //;PORT_SHT &= ~(1<<P_DATA)
#define clear_DATA	DDR_SHT |= (1<<P_DATA) //;PORT_SHT &= ~(1<<P_DATA)
#define set_SCK		DDR_SHT &= ~(1<<P_SCK) //;PORT_SHT &= ~(1<<P_SCK)
#define clear_SCK	DDR_SHT |= (1<<P_SCK) //;PORT_SHT &= ~(1<<P_SCK)

#define measure_temp	0x03
#define measure_humi	0x05
#define soft_reset		0x1e

#define short_delay asm volatile ("nop"); asm volatile ("nop"); asm volatile ("nop"); asm volatile ("nop")

/*Schreibt ein Byte und wertet ACK aus*/
unsigned char write_byte_sht (unsigned char value);

/*liest ein Byte und gibt ein ACK je nach bergebenem Wert aus*/
unsigned char read_byte_sht (unsigned char ack);

/*Start-Sequenz*/
void start_comm_sht (void);

/*Reset der Verbindung*/
void connection_reset_sht (void);

/*Auslsen eines Soft-Reset*/
unsigned char soft_reset_sht (void);

/*Berechnung der Taupunkttemperatur*/
double calc_dewpoint_sht (double temp, double hum);

/*Temperaturmessung*/
double measure_temperature_sht (void);

/*relative Luftfeuchtigkeit messen*/
double measure_humidity_sht (void);

/*relative Luftfeuchte mit Bercksichtigung des Temperaturkoeffizienten des Sensors*/
double measure_true_humidity_sht (void);

#endif

